Skip to main content
GET
/
institutions
Search institutions
curl --request GET \
  --url https://api-sb.meld.io/institutions \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "institutions": [
    {
      "aliases": [
        "<string>"
      ],
      "domain": "<string>",
      "id": "<string>",
      "images": {
        "icon": "<string>",
        "tile": "<string>",
        "wide": "<string>"
      },
      "isTest": true,
      "key": "<string>",
      "name": "<string>",
      "providers": {},
      "rank": 123,
      "subName": "<string>",
      "type": "<string>"
    }
  ],
  "remaining": 123
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

before
string

Unique key corresponding to a institution's position in the paginated list of results -- used to indicate that only institutions residing before this key will be retrieved.

Each institution carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

after
string

Unique key corresponding to a institution's position in the paginated list of results -- used to indicate that only institutions residing after this key will be retrieved.

Each institution carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

serviceProviders
string

Comma separated list of service providers. If present, only institutions supported by at least one of the service providers will be included.

Note: Reference Supported Service Providers for the list of available bank linking providers.

limit
integer<int32>

Limits number of returned institutions.

Default value: 10

Minimum value: 1

Maximum value: 1000

name
string

If present, only institutions will be included whose name matches partially or fully.

type
string

If present, only institutions will be included whose type matches.

regions
string

Comma separated list of regions. If present, only institutions supported by at least one of the regions will be included.

Response

Institution snapshot is returned

count
integer<int32>

Number of institutions returned.

institutions
object[]

Institutions

remaining
integer<int32>

Number of remaining institutions before/after this page, depending the direction this page was selected.